bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

AIX 5.1 patch


From: Mats Rynge
Subject: AIX 5.1 patch
Date: Thu, 7 Mar 2002 18:55:02 -0800

Hi!

Here is a patch for adding AIX 5.1 to the emacs list of architectures.
This patch is necessary as if the configure script can't figure out the
correct version of AIX it falls back to 3.2. The patch simply adds the
right test to configure.in and adds src/s/aix5-1.h.

Also, config.guess is not able to recognize AIX 5.1. You have to provide
a host/build argument to configure. Maybe it is time to replaceĀ·
config.guess with a newer version.

-- 
Mats Rynge
Aixpdslib  --  http://aixpdslib.seas.ucla.edu



*** emacs.orig/ChangeLog        Tue Mar  5 10:01:32 2002
--- emacs/ChangeLog     Tue Mar  5 16:33:48 2002
***************
*** 1,3 ****
--- 1,7 ----
+ 2002-03-05  Mats Rynge  <address@hidden>
+ 
+       * configure.in: Handle AIX version 5.1
+ 
  2002-03-03  Kim F. Storm  <address@hidden>
  
        * configure.in: Test for getpeername.



*** emacs.orig/configure.in     Tue Mar  5 10:01:32 2002
--- emacs/configure.in  Tue Mar  5 10:06:16 2002
***************
*** 611,616 ****
--- 611,619 ----
    rs6000-ibm-aix4* | powerpc-ibm-aix4*  )
      machine=ibmrs6000 opsys=aix4-1
    ;;
+   rs6000-ibm-aix5.1* | powerpc-ibm-aix5.1*  )
+     machine=ibmrs6000 opsys=aix5-1
+   ;;
    rs6000-ibm-aix* | powerpc-ibm-aix* )
      machine=ibmrs6000 opsys=aix3-2
    ;;



*** emacs.orig/src/s/aix5-1.h   Wed Dec 31 16:00:00 1969
--- emacs/src/s/aix5-1.h        Tue Mar  5 10:24:01 2002
***************
*** 0 ****
--- 1,4 ----
+ 
+ #include "aix4-2.h"
+ 
+ 




reply via email to

[Prev in Thread] Current Thread [Next in Thread]